$ErrorActionPreference = 'Stop'
if([version](Get-CimInstance Win32_OperatingSystem).Version -lt [version]"10.0.17763") {
  throw "This requires Windows 10 version 10.0.17763 at a minimum"
}
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'wezterm.install.exe'
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'exe'
  file         = $fileLocation
  softwareName  = 'wezterm*'
  checksum      = '35A6EC0EFF7AA65E3987F14223BFB9DF831EAAB2964EB441ED6CAD4356D252FF'
  checksumType  = 'sha256'
  validExitCodes= @(0, 3010, 1641)
  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
}

Install-ChocolateyPackage @packageArgs
